SwiftXCTestExecutable (Gradle API 4.8)
Date: 2018-06-04

org.gradle.nativeplatform.test.xctest

## Interface SwiftXCTestExecutable

- All Superinterfaces:
    ComponentWithDependencies, ComponentWithExecutable, ComponentWithInstallation, ComponentWithNativeRuntime, ComponentWithObjectFiles, Named, SoftwareComponent, SwiftBinary, SwiftXCTestBinary, TestComponent

      @Incubating
      public interface SwiftXCTestExecutable
      extends SwiftXCTestBinary, ComponentWithExecutable, ComponentWithInstallation

  An XCTest executable for tests implemented in Swift.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.nativeplatform.test.xctest.SwiftXCTestBinary

      `getExecutableFile, getInstallDirectory, getLinkTask, getRunScriptFile, getRunTask`

    - ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

      `getCompileModules, getCompileTask, getLinkLibraries, getModule, getModuleFile, getRuntimeLibraries, getSourceCompatibility, getSwiftSource, getTargetPlatform, isTestable`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithExecutable

      `getExecutableFile, getLinkLibraries, getLinkTask`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithInstallation

      `getInstallDirectory, getInstallTask, getRuntimeLibraries`